2010-07-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight.addin.xml:
	* MonoDevelop.Moonlight/MoonlightParser.cs: Track
	  ProjectDomService/Parser API.

2010-07-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightFrameworkBackend.cs:
	  Workaround for gmcs bug.

2010-07-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Include
	  redist assemblies in manifest AssemblyParts. Should fix Bug
	  600727 - Moonlight: DataGrid missing.

2010-07-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Moonlight/MoonlightFrameworkBackend.cs: reverted
	  change (the bug is gone).

2010-07-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Moonlight/MoonlightFrameworkBackend.cs: added
	  null check.

2010-06-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Track api
	  changes.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic: Flush.

2010-05-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightProject.cs: Remove
	  SupportedClrVersions, as it's been superseded by
	  SupportsFramework.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Moonlight/MoonlightEditorExtension.cs: Make use
	  of the new Document.Dom property.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Moonlight.addin.xml: Bumped MD version.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Moonlight.csproj: Remove import off mono.addins
	  targets.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Moonlight.csproj:
	* MonoDevelop.Moonlight.addin.xml:
	* MonoDevelop.Moonlight/MoonlightEditorExtension.cs:
	* MonoDevelop.Moonlight.Gui/MoonlightOptionsPanel.cs:
	* MonoDevelop.Moonlight/MoonlightExecutionHandler.cs: Merged
	  MD.Projects into MD.Core, and MD.Projects.Gui, MD.Core.Gui
	  and MD.Components into MD.Ide.

2010-03-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Track
	  ProjectFile Link API.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Moonlight.csproj:
	* Templates/framework_SL_2_0.xml:
	* Templates/framework_SL_3_0.xml:
	* MonoDevelop.Moonlight.addin.xml:
	* MonoDevelop.Moonlight/framework_SL_2_0.xml:
	* MonoDevelop.Moonlight/framework_SL_3_0.xml: Moved framework
	  declarations from resources to standalone files, so they can
	  be loaded without loading the assembly.

2010-02-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Moonlight.addin.xml: Added some conditions to
	  avoid early loading of extensions.

	* MonoDevelop.Moonlight/MoonlightEditorExtension.cs: Track api
	  changes.

2010-02-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightFrameworkBackend.cs: Make
	  sure not to ever use smcs.exe directly. It needs magic
	  runtime args and maybe a different Mono - and we need the
	  smcs script to handle that.

2010-02-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightParser.cs: Use
	  DomRegion.Empty.

2010-02-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightFrameworkBackend.cs: Redist
	  assemblies are neither GAC nor Core. Fixes refs to redist
	  assemblies.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.Moonlight.Gui.MoonlightOptionsPanelWidget.cs:
	  Flush.

2010-01-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Quote
	  respack arguments.

2010-01-19  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* MonoDevelop.Moonlight/XamlG.cs: A file without a x:Class attribute
	generates a zero-length code-behind file.

2010-01-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Use
	  FilePath to clean up code, and set resource IDs for respack.

2010-01-13  Chris Toshok  <toshok@ximian.com>

	* MonoDevelop.Moonlight/XamlG.cs: when generating fields for fully
	qualified types, use global references to keep from conflicting
	type/namespace names.

2009-12-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightProject.cs: Fix preventing
	  showing a console for moonlight run. If we do create a
	  console, dispose it. We need a real way to avoid showing
	  consoles for execution handlers that don't use them.

2009-12-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightFrameworkBackend.cs: Check
	  MOONLIGHT_SDK_PATH from env as well as the target runtime,
	  since Moonlight needn't be bound strictly to a single target
	  runtime.

2009-12-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: If the
	  framework package is not found, fall back to default version
	  string.

2009-12-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Fix logic
	  error.

2009-12-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs:
	* MonoDevelop.Moonlight/MoonlightFrameworkBackend.cs: Fix
	  fxversion lookup for manifest.

2009-12-10  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Moonlight.csproj:
	* MonoDevelop.Moonlight/MoonlightFrameworkBackend.cs:
	* MonoDevelop.Moonlight/SilverlightFrameworkBackend.cs:
	  Renamed file. Remove MONO_PATH in the tools env vars if the
	  base runtime sets it.

2009-12-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/SilverlightFrameworkBackend.cs: Fix
	  enumertion properly.

2009-12-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/SilverlightFrameworkBackend.cs: Fix
	  redist package enumeration.

	* MonoDevelop.Moonlight/MoonlightProject.cs: Try 3.0 first,
	  fall back to 2.0.

2009-12-10  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Moonlight.csproj:
	* MonoDevelop.Moonlight.addin.xml:
	* MonoDevelop.Moonlight/MoonlightProject.cs:
	* MonoDevelop.Moonlight/framework_SL_2_0.xml:
	* MonoDevelop.Moonlight/framework_SL_3_0.xml:
	* MonoDevelop.Moonlight/framework_Silverlight.xml:
	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs:
	* MonoDevelop.Moonlight/SilverlightFrameworkBackend.cs: Track
	  the new moonlight dev bits layout. Add preliminary support
	  for multi-targetting SL2 and SL3.

2009-12-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightExecutionHandler.cs: Track
	  BrowserLauncher API.

2009-12-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Moonlight/MoonlightProject.cs:
	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Introduced
	  the ConfigurationSelector class to all methods that
	  previously took a configuration name as string. This
	  eliminates the ambiguity between solution configuration
	  names and project configuration names.

2009-11-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightProject.cs: Track API. Set
	  UserAssemblyPaths. Get correct configuration.

	* MonoDevelop.Moonlight/MoonlightExecutionCommand.cs: Add
	  property for list of user assemblies.

2009-11-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightProject.cs:
	* MonoDevelop.Moonlight/MoonlightExecutionCommand.cs: Fix
	  build.

2009-11-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Hack to
	  copy mdb files into the xap so that sdb works.

	* MonoDevelop.Moonlight/MoonlightProject.cs: Create a debug
	  console except if we're using the "run" mode.

2009-11-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightProject.cs: Fix creation of
	  Moonlight project configurations.

2009-10-30  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Moonlight.csproj:
	* MonoDevelop.Moonlight.addin.xml:
	* MonoDevelop.Moonlight/MoonlightProject.cs:
	* MonoDevelop.Moonlight/MoonlightExecutionCommand.cs:
	* MonoDevelop.Moonlight/MoonlightExecutionHandler.cs:
	* MonoDevelop.Moonlight/MoonlightProjectConfiguration.cs: Use
	  an execution handler so that the debugger command doesn't
	  get enabled.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Moonlight.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* MonoDevelop.Moonlight.csproj:
	* gtk-gui/MonoDevelop.Moonlight.Gui.MoonlightOptionsPanelWidget.cs:
	  Flush.

2009-10-08  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.Moonlight.csproj: Import md.targets .

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Moonlight.addin.xml: Bump MD version.

2009-10-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightEditorExtension.cs: Tweak API
	  so classes can return completion lists instead of modifying
	  one they're given.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Moonlight.csproj: Updated dependencies. We now
	  depend on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight.csproj: Don't local-copy project refs.

2009-08-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight.csproj: Fix build.

2009-08-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Moonlight/SilverlightFrameworkBackend.cs: Track
	  api changes.

2009-07-31  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Don't
	  double-resolve configurations.

2009-07-31  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightProject.cs: Limit compatible
	  fx to prevent conflict with iPhone. 

2009-06-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Remove
	  MergeResults members and replace with calls to
	  result.Append. Tidy up a little.

	* MonoDevelop.Moonlight/SilverlightFrameworkBackend.cs: Fix
	  building ML apps with separate SDK by allowing tool
	  fallbacks to the base 3.5 framework.

2009-06-16  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Moonlight.Gui.MoonlightOptionsPanelWidget.cs:
	  Get design and code back in sync.

2009-06-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight.addin.xml: Fix typo in framework ID.

2009-06-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Moonlight.csproj:
	* MonoDevelop.Moonlight.addin.xml:
	* MonoDevelop.Moonlight/framework_Silverlight.xml:
	* MonoDevelop.Moonlight/SilverlightFrameworkBackend.cs: Define
	  and register the Silverlight framework.

2009-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Moonlight\MoonlightBuildExtension.cs: Track api
	  changes.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Moonlight\MoonlightBuildExtension.cs: Use the
	  new FilePath class for handling file and directory paths.

2009-05-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightParser.cs: Fix logic.

2009-05-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight.Gui/MoonlightOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.Moonlight.Gui.MoonlightOptionsPanelWidget.cs:
	  Improve the moonlight options panel. Add support for setting
	  entry point.

2009-05-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightParser.cs: Implement
	  resolving types' namespaces.

2009-05-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightProject.cs: Use project name
	  for app entry point, since default namespace isn't
	  initalised during project creation.

2009-05-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Handle
	  respack.exe if the runtime gives us that.

2009-05-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Fix
	  dependency checks for respacked files.

2009-05-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Write
	  assembly error message to monitor's log.

2009-05-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Assembly
	  reference validation messages are empty, not null.

2009-05-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Fix
	  previous namespace fix.

2009-05-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Fix
	  deployment namespace handling.

2009-05-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: More
	  status messages. Some handling of cancelling build.

	* Templates/Moonlight-ApplicationProject.xpt.xml: Fix
	  template.

2009-05-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightProject.cs: Set entry point
	  and enable manifest generation on new projects.

2009-05-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightProject.cs: Fix
	  OnGetCanExecute.

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Embed Page
	  and ApplicationDefinition files. Fix resource ID for
	  resources file. Clean test page and manifest. Fix paths and
	  namespaces in app definition generation. Write out app
	  manifest.

2009-05-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Track api
	  changes.

2009-05-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightProject.cs: Fix path
	  serialization. Add StartPageUrl property. Update DoExecute
	  and implement CanExecute.

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Fixed
	  failed build tracking. Implement manifest generation.
	  Implement test page creation. Add manifest and referenced
	  assemblies to XAP.

2009-05-03  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Moonlight.csproj:
	* Templates/PreviewTemplate.html: Add HTML template for
	  previewing.

2009-05-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/XamlG.cs:
	* MonoDevelop.Moonlight/MoonlightParser.cs: Add
	  System.Windows.Controls.Primitives to the generated imports.

2009-05-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Remove xap
	  file in clean step.

2009-05-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Implement
	  support for checking when we need to rebuild.

2009-05-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Fix dll
	  filenames.

2009-05-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Fix
	  zipping.

2009-05-01  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Moonlight.csproj: Add xapification code.

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Add
	  initial xapification support.

2009-05-01  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs:
	  Fix respack execution.

2009-05-01  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Implement
	  respack invocation. Fix updating of xaml.g.cs files.

2009-05-01  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Moonlight.csproj:
	* MonoDevelop.Moonlight/XamlG.cs:
	* MonoDevelop.Moonlight.addin.xml:
	* MonoDevelop.Moonlight/MoonlightBuildExtension.cs: Add a
	  build step that generates and injects the xaml.g.cs files.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.Moonlight.csproj: don't require specific
	gtk-sharp version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Moonlight.addin.xml: Bump MD version.

2009-03-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Moonlight/MoonlightParser.cs: Track API changes.

2009-03-12  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix Silverlight.js install directory.

2009-03-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightProject.cs: Fix framework ID.

2009-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight.csproj: Exorcise more unwanted local
	  copy.

2009-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Moonlight.addin.xml: Move js file location to a
	  subdirectory to match the location MSBuild and MD copy it.

	* MonoDevelop.Moonlight.csproj: Flush.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight.csproj: Don't local-copy other addins'
	  dlls.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Moonlight.csproj: More explicit references to
	  keep csc happy.

2009-02-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Moonlight/XamlG.cs:
	* MonoDevelop.Moonlight/MoonlightEditorExtension.cs: Fixed
	  compiler warnings.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Moonlight.mdp:
	* MonoDevelop.Moonlight.csproj: Migrated to MSBuild file
	  format.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Moonlight.addin.xml: Bump MD version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	*
	  gtk-gui/MonoDevelop.Moonlight.Gui.MoonlightOptionsPanelWidget.cs:
	  Flush.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight.mdp: Flush project format changes.

2009-01-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight.addin.xml: Make sure Moonlight parser takes
	precedence over XML parser.

2008-12-29  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightEditorExtension.cs: Moved
	outline-building code to be the default implementation in
	BaseXmlEditorExtension, since it works with any XmlParsedDocument.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Moonlight.mdp: All projects now require fx 3.5.

2008-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Moonlight/MoonlightProject.cs:
	* MonoDevelop.Moonlight/MoonlightEditorExtension.cs: Track API changes.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Make it work for parallel build.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AssemblyInfo.cs:
	* MonoDevelop.Moonlight.mdp: Add AssemblyInfo.cs files that are
	autogenerated from the addin manifests.

2008-11-13  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Moonlight.mdp: Updated.

	* MonoDevelop.Moonlight/MoonlightParser.cs:
	* MonoDevelop.Moonlight/MoonlightParsedDocument.cs:
	* MonoDevelop.Moonlight/MoonlightEditorExtension.cs: Moved
	MoonlightParsedDocument to XmlParsedDocument in the Xml addin.

2008-11-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightParsedDocument.cs: Fix build
	dependencies.

2008-11-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightProject.cs: Use new API; move default
	build action code into GetDefaultBuildAction override.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Moonlight.addin.xml: Bump MD version.

2008-11-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightProject.cs: Override new
	IsLibraryBasedProjectType property, consolidating code in base class.

2008-11-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Moonlight.mdp: Updated.

	* MonoDevelop.Moonlight/MoonlightEditorExtension.cs: Added some very
	simple XAML completions.

2008-10-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Moonlight.addin.xml: fixed 'Bug 399737 - Code completion
	busted for referenced assemblies that are not in GAC, are outside of
	the solution, and which are referenced by other non-GAC outside
	referenced assemblies'.

2008-10-24  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* MonoDevelop.Moonlight.mdp:
	* MonoDevelop.Moonlight.Gui:
	* MonoDevelop.Moonlight.addin.xml:
	* MonoDevelop.Moonlight.Gui/MoonlightOptionsPanel.cs:
	* MonoDevelop.Moonlight.Gui/MoonlightOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.Moonlight.Gui.MoonlightOptionsPanelWidget.cs: Add
	options panel for Moonlight settings.

2008-10-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightEditorExtension.cs: Implement document
	outline.

2008-10-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightParsedDocument.cs: Enable folding.

	* Makefile.am:
	* MonoDevelop.Moonlight.mdp: Updated.

	* MonoDevelop.Moonlight/MoonlightParser.cs: Use StateEngine XML parser.
	Gives better position information and more robust errors.

2008-10-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightParser.cs: Fix return type of
	InitialiseComponent.

2008-10-23  Michael Hutchinson  <mhutchinson@novell.com>

	* Templates/Moonlight-UserControlXaml.xft.xml:
	* Templates/Moonlight-ApplicationProject.xpt.xml: Fix end tag in user
	control.

	* MonoDevelop.Moonlight/MoonlightEditorExtension.cs: Add stub editor
	extension. Enables path bar.

	* MonoDevelop.Moonlight/XamlG.cs: Import xamlg from moonlight.

	* Makefile.am:
	* MonoDevelop.Moonlight.mdp:
	* MonoDevelop.Moonlight.addin.xml: Updated.

	* MonoDevelop.Moonlight/MoonlightParser.cs: Add live parser based on
	xamlg to inject member info on the fly.

2008-10-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight/MoonlightProject.cs: Set generator and content
	type on added xaml files. Auto-add codebehind.

	* Makefile.am:
	* MonoDevelop.Moonlight.mdp: Updated.

	* MonoDevelop.Moonlight.addin.xml:
	* Templates/Moonlight-Xaml.xft.xml:
	* Templates/Moonlight-Library.xpt.xml:
	* Templates/Moonlight-Application.xpt.xml:
	* Templates/Moonlight-LibraryProject.xpt.xml:
	* Templates/Moonlight-UserControlXaml.xft.xml:
	* Templates/Moonlight-ApplicationXaml.xft.xml:
	* Templates/Moonlight-XamlWithCodeBehind.xft.xml:
	* Templates/Moonlight-ApplicationProject.xpt.xml: Updated templates.

2008-10-21  Michael Hutchinson  <mhutchinson@novell.com>

	* Templates/MoonlightProject.xpt.xml:
	* Templates/Moonlight-TestPage.xft.xml:
	* Templates/MoonlightProject-Empty.xpt.xml:
	* Templates/Moonlight-CreateSilverlightJs.xft.xml: Remove outdated
	templates.

	* Makefile.am:
	* MonoDevelop.Moonlight.mdp:
	* MonoDevelop.Moonlight.addin.xml: Updated.

	* Templates/Silverlight.js: Add.

	* Templates/Moonlight-Library.xpt.xml:
	* Templates/Moonlight-Application.xpt.xml:
	* MonoDevelop.Moonlight/MoonlightProject.cs: Create VS-compatible
	Moonlight/Silverlight projects. Limit it to C# for now.

2008-10-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Moonlight.addin.xml:
	* MonoDevelop.Moonlight/MoonlightProject.cs: Enable loading of SL 2.0
	projects. Currently only works with C#.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Moonlight.mdp, gtk-gui/generated.cs: Updated generated
	  code.

2008-06-17  Michael Hutchinson <mhutchinson@novell.com> 

	* Templates/MoonlightProject.xpt.xml: Use escaped project name for
	  identifier of main class.

2008-06-10  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Moonlight.mdp,
	  MonoDevelop.Moonlight/MoonlightCodebehindProvider.cs, Makefile.am:
	  Remove old CodeBehind grouping mechanism.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Moonlight.addin.xml: Bump MD version.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Moonlight/MoonlightProject.cs: New project model changes.

2008-05-08  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Moonlight.addin.xml: Set "isText" attribute on the
	  mimetype definitions.

2008-05-02  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Moonlight.addin.xml,
	  MonoDevelop.Moonlight/MoonlightCodebehindProvider.cs: Remove use of
	  removed extension point.

2008-04-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Moonlight.addin.xml: Use the new mime type extension to
	  register new file types.

2008-03-05  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Moonlight/MoonlightProject.cs: Allow more paths for startup
	  page. Should really make this an option at some point.

2008-03-05  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Moonlight/MoonlightProject.cs,
	  Templates/Moonlight-XamlWithCodeBehind.xft.xml: Change "bin" to
	  "ClientBin", which seems to be more conventional.

2008-03-05  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Moonlight/MoonlightProject.cs: Avoid NRE because BaseDirectory
	  isn't set during project creation.

2008-03-05  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Moonlight.mdp: Fix build paths and disable local copy of
	  project refs.
	* MonoDevelop.Moonlight/MoonlightCodebehindProvider.cs: Make regex actually
	  work.
	* MonoDevelop.Moonlight/MoonlightProject.cs: Set default properties and
	  paths needed for new Moonlight projects to work.
	* Templates/Moonlight-XamlWithCodeBehind.xft.xml: Use text file template
	  rather than ASP.NET file template. Add some default XAML. Reference the
	  actual codebehind dll and class.
	* Templates/Moonlight-CreateSilverlightJs.xft.xml: Use text file template
	  rather than ASP.NET file template.
	* Templates/Moonlight-Xaml.xft.xml: Use text file template rather than
	  ASP.NET file template. Add some default XAML.

2008-03-04  Michael Hutchinson  <mhutchinson@novell.com> 

	* *.*: Initial commit of unfinished Moonlight addin.

